#include <bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long ans = 0;
    long long n, last = 0, next;
    cin>>n;
    for(int i=0; i<n; i++){
        cin>>next;
        ans += max<long long>(0, next - last);
        last = next;
    }
    cout<<ans;
    return 0;
}
